Bug 67735 - Catapult fails in Japanese environment
Catapult fails in Japanese environment
Product: Stronghold Cross Platform
Classification: Retired
Component: newt (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Stronghold Engineering List
Depends On:
  Show dependency treegraph
Reported: 2002-07-01 06:22 EDT by Nakai
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.08-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-02 07:57:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
This test program behaves different with LANG=C or LANG=ja_JP.eucJP (222 bytes, text/plain)
2002-07-01 06:54 EDT, Nakai
no flags Details
This is the latest debian patch(libnewt-perl_1.08-6.diff) (95.33 KB, patch)
2002-07-08 04:49 EDT, Nakai
no flags Details | Diff

  None (edit)
Description Nakai 2002-07-01 06:22:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020501

Description of problem:
If we try to install StrongHold4 in Japanese environment,
installer fails.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install Advanced Server or RHL7.3 in Japanese environment
2. Make sure LANG=ja_JP.eucJP
3. Insert SH4 install CD and cd /mnt/cdrom/sh40
4. ./sh-40-i386-pc-linuxglibc22

Actual Results:  Error occurs when using genkey.

Expected Results:  Error should not occur there.

Additional info:

genkey perl script is broken for Japanese environment.

LANG=C genkey [hostname] works.
LANG=ja_JP.eucJP genkey [hostname] doesn't work and says

Your vendor has not defined Newt macro Set at /home/nakai/sh40/bin/genkey line 445
Comment 1 Nakai 2002-07-01 06:54:42 EDT
Created attachment 63225 [details]
This test program behaves different with LANG=C or LANG=ja_JP.eucJP
Comment 2 Nakai 2002-07-01 06:55:32 EDT
And this bug seems to be known how to fix.

Comment 3 Nakai 2002-07-01 06:58:32 EDT
This problem also occurs at German environment.

Comment 4 Nakai 2002-07-08 04:49:50 EDT
Created attachment 64184 [details]
This is the latest debian patch(libnewt-perl_1.08-6.diff)
Comment 5 Nakai 2002-07-08 04:51:48 EDT
This latest debian patch, libnewt-perl_1.08-6.diff
will really fix the problem So:

1. Replace newt-perl-1.08-debian.patch to this
2. Remake the rest patches patch1-patch4 to be appliable.
Comment 6 Joe Orton 2003-10-02 07:57:48 EDT
This was fixed in the Stronghold 4.0g patch release.

Note You need to log in before you can comment on or make changes to this bug.